Mailboxes
List scheduled
GET
/
v1
/
mailboxes
/
{id}
/
scheduled
cURL
curl --request GET \
--url https://app.getozi.com/api/v1/mailboxes/{id}/scheduled \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getozi.com/api/v1/mailboxes/{id}/scheduled"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getozi.com/api/v1/mailboxes/{id}/scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.getozi.com/api/v1/mailboxes/{id}/scheduled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.getozi.com/api/v1/mailboxes/{id}/scheduled"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.getozi.com/api/v1/mailboxes/{id}/scheduled")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.getozi.com/api/v1/mailboxes/{id}/scheduled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"thread_id": "<string>",
"subject": "<string>",
"to": [
"<string>"
],
"send_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Lists the messages a mailbox has waiting to send: scheduled ones, and ones held for an undo window, whether sent from webmail or the API. The one going soonest comes first, and at most 100 are returned (a mailbox can have at most 100 waiting).
Needs an API key with full access.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 64Pattern:
^[A-Za-z0-9_-]+$Example:
"cm9mbx123"
Response
Messages the mailbox has waiting to send, the soonest first, at most 100
Show child attributes
Show child attributes
⌘I
cURL
curl --request GET \
--url https://app.getozi.com/api/v1/mailboxes/{id}/scheduled \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getozi.com/api/v1/mailboxes/{id}/scheduled"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getozi.com/api/v1/mailboxes/{id}/scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.getozi.com/api/v1/mailboxes/{id}/scheduled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.getozi.com/api/v1/mailboxes/{id}/scheduled"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.getozi.com/api/v1/mailboxes/{id}/scheduled")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.getozi.com/api/v1/mailboxes/{id}/scheduled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"thread_id": "<string>",
"subject": "<string>",
"to": [
"<string>"
],
"send_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}